
%global meadversion 2.1.0
%global namedversion 2.1.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-websocket}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.0.redhat-00002

Name:           %{?scl_prefix}jakarta-websocket
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta WebSocket API
Group:          Development/Java

%if %with mead
Source100: websocket-parent-2.1.0.redhat-00002-project-sources.tar.gz
Source102: jakarta.websocket-client-api-2.1.0.redhat-00002-sources.jar
Source103: jakarta.websocket-api-2.1.0.redhat-00002-sources.jar
Source104: jakarta.websocket-client-api-2.1.0.redhat-00002.jar
Source105: jakarta.websocket-api-2.1.0.redhat-00002.jar
Source106: jakarta.websocket-client-api-2.1.0.redhat-00002.pom
Source107: jakarta.websocket-all-2.1.0.redhat-00002.pom
Source108: jakarta.websocket-client-api-2.1.0.redhat-00002-javadoc.jar
Source109: jakarta.websocket-api-2.1.0.redhat-00002.pom
Source110: websocket-parent-2.1.0.redhat-00002.pom
Source111: jakarta.websocket-api-2.1.0.redhat-00002-javadoc.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://projects.eclipse.org/projects/ee4j.websocket
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-websocket-%{namedversion}-%{release}-root

%description
Jakarta WebSocket API.

%package -n %{?scl_prefix}jakarta-websocket-api
Summary:        Jakarta WebSocket - Server API
Group:          Development/Java


%description -n %{?scl_prefix}jakarta-websocket-api
%{summary}.

%package -n %{?scl_prefix}jakarta-websocket-client-api
Summary:        Jakarta WebSocket - Client API
Group:          Development/Java


%description -n %{?scl_prefix}jakarta-websocket-client-api
%{summary}.

%if %with javadoc
%package jakarta-websocket-api-javadoc
Summary:        Javadoc for jakarta-websocket-api
Group:          Development/Java

BuildRequires:  unzip


%description jakarta-websocket-api-javadoc
%{summary}.

%package jakarta-websocket-client-api-javadoc
Summary:        Javadoc for jakarta-websocket-client-api
Group:          Development/Java

BuildRequires:  unzip


%description jakarta-websocket-client-api-javadoc
%{summary}.
%endif

%prep
%setup -q -n websocket-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.websocket-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.websocket-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.websocket-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.websocket-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.websocket-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.websocket-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jakarta.websocket-client-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.websocket-client-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.websocket-client-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.websocket-client-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.websocket-client-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.websocket-client-api-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-websocket-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.websocket-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.websocket-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-websocket-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-websocket-api

%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.websocket-client-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.websocket-client-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.websocket-client-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.websocket-client-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.websocket-client-api

%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-websocket-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.websocket-api-%{namedversion}.jar
%{_javadir}/jakarta.websocket-api.jar
%if %with javadoc
%{_javadir}/jakarta.websocket-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.websocket-api-javadoc.jar
%endif
%{_javadir}/jakarta.websocket-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.websocket-api-sources.jar

%files -n %{?scl_prefix}jakarta-websocket-client-api
%defattr(0644,root,root,0755)
%if 0
%doc build.metadata
%endif
%{_javadir}/jakarta.websocket-client-api-%{namedversion}.jar
%{_javadir}/jakarta.websocket-client-api.jar
%if %with javadoc
%{_javadir}/jakarta.websocket-client-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.websocket-client-api-javadoc.jar
%endif
%{_javadir}/jakarta.websocket-client-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.websocket-client-api-sources.jar

%if %with javadoc
%files -n %{?scl_prefix}jakarta-websocket-api-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.websocket-api-%{namedversion}
%{_javadocdir}/jakarta.websocket-api

%files -n %{?scl_prefix}jakarta-websocket-client-api-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.websocket-client-api-%{namedversion}
%{_javadocdir}/jakarta.websocket-client-api

%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-4.redhat_00002.1
- Built by CPaaS

* Thu Nov 03 2022 Permaine Cheung <pcheung@redhat.com> - 2.1.0-3.redhat_00002.1
- 2.1.0.redhat-00002
